# ApplicationTelemetry

All application telemetry endpoints

## GET /v3/telemetry/application/{applicationId}/current

> Get all your application telemetry

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationTelemetry","description":"All application telemetry endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationTelemetryModel":{"type":"object","required":["hosts","instances","players"],"properties":{"hosts":{"type":"integer","format":"integer","description":"The number of hosts"},"instances":{"type":"integer","format":"integer","description":"The number of instances"},"players":{"type":"integer","format":"integer","description":"The number of players"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/application/{applicationId}/current":{"get":{"tags":["ApplicationTelemetry"],"summary":"Get all your application telemetry","operationId":"getTelemetryApplicationCurrents","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationTelemetryModel"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/application/{applicationId}

> Get all your application telemetry history

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationTelemetry","description":"All application telemetry endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationTelemetryHistoryModel":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency,  possible interval options are as follows\n- minute\n- hour\n- day\n- month","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationTelemetryHistoryDataModel"},"description":"Average aggregated data of application instances","readOnly":true}},"additionalProperties":false},"ApplicationTelemetryHistoryDataModel":{"type":"object","required":["timestamp","hosts","instances","players"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"Unix timestamp of data","readOnly":true},"hosts":{"type":"integer","format":"integer","description":"The number of hosts"},"instances":{"type":"integer","format":"integer","description":"The number of instances"},"players":{"type":"integer","format":"integer","description":"The number of players"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/application/{applicationId}":{"get":{"tags":["ApplicationTelemetry"],"summary":"Get all your application telemetry history","operationId":"getTelemetryApplication","parameters":[{"name":"startTime","in":"query","description":"Unix timestamp. Filter from time, default value is -1 day","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"Unix timestamp. Filter to time, default value is now","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationTelemetryHistoryModel"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/applicationtelemetry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
